import getLog from './get-log';

const dropFinal = async ({
  memoryStore,
  databaseFile
}) => {
  const log = getLog('dropFinal');
  const errors = [];

  if (memoryStore != null) {
    try {
      memoryStore.drop();
    } catch (e) {
      log.error(e.message);
      log.verbose(e.stack);
      errors.push(e);
    }
  }

  log.debug(`finished dropping event store in ${databaseFile}`);
  return errors;
};

export default dropFinal;
//# sourceMappingURL=drop-final.js.map