import { EventstoreAlreadyFrozenError } from '@resolve-js/eventstore-base';
import { isAlreadyExistsError } from './resource-errors';

const freeze = async ({
  database,
  eventsTableName,
  escapeId
}) => {
  try {
    await database.exec(`CREATE TABLE ${escapeId(`${eventsTableName}-freeze`)}(
      -- RESOLVE EVENT STORE ${escapeId(eventsTableName)} FREEZE MARKER
      ${escapeId('surrogate')} BIGINT NOT NULL,
      PRIMARY KEY(${escapeId('surrogate')})
    )`);
  } catch (error) {
    if (isAlreadyExistsError(error.message)) throw new EventstoreAlreadyFrozenError();else throw error;
  }
};

export default freeze;
//# sourceMappingURL=freeze.js.map