import getLog from './get-log';

const getSecret = async ({
  database,
  secretsTableName,
  escapeId,
  escape
}, selector) => {
  const log = getLog('secretsManager:getSecret');
  log.debug(`retrieving secret value from the database`);
  log.verbose(`selector: ${selector}`);
  log.verbose(`database: ${database}`);
  log.verbose(`secretsTableName: ${secretsTableName}`);
  log.debug(`executing SQL query`);
  const rows = await database.all(`SELECT "secret" FROM ${escapeId(secretsTableName)}
    WHERE id = ${escape(selector)}
    LIMIT 0, 1`);
  log.debug(`query executed, returning result`);

  if (rows.length !== 1) {
    return null;
  }

  return rows[0].secret;
};

export default getSecret;
//# sourceMappingURL=get-secret.js.map