"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = _interopRequireDefault(require("./get-log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const dropFinal = async ({
  memoryStore,
  databaseFile
}) => {
  const log = (0, _getLog.default)('dropFinal');
  const errors = [];

  if (memoryStore != null) {
    try {
      memoryStore.drop();
    } catch (e) {
      log.error(e.message);
      log.verbose(e.stack);
      errors.push(e);
    }
  }

  log.debug(`finished dropping event store in ${databaseFile}`);
  return errors;
};

var _default = dropFinal;
exports.default = _default;
//# sourceMappingURL=drop-final.js.map