"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _getLog = _interopRequireDefault(require("./get-log"));

var _executeSequence = _interopRequireDefault(require("./execute-sequence"));

var _resourceErrors = require("./resource-errors");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const dropSecrets = async ({
  database,
  databaseFile,
  secretsTableName,
  escapeId
}) => {
  const log = (0, _getLog.default)('dropSecrets');
  log.debug(`dropping secrets`);
  const statements = [`DROP TABLE ${escapeId(secretsTableName)}`];
  const errors = await (0, _executeSequence.default)(database, statements, log, error => {
    if ((0, _resourceErrors.isNotExistError)(error.message)) {
      return new _eventstoreBase.EventstoreResourceNotExistError(`sqlite adapter for database "${databaseFile}" already dropped`);
    }

    return null;
  });
  log.debug(`finished dropping secrets`);
  return errors;
};

var _default = dropSecrets;
exports.default = _default;
//# sourceMappingURL=drop-secrets.js.map