"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const getEventSubscribers = async (pool, {
  applicationName,
  eventSubscriber
} = {}) => {
  const {
    subscribersTableName,
    database,
    escapeId,
    escape
  } = pool;
  const subscribersTableNameAsId = escapeId(subscribersTableName);
  const rows = await database.all(`
    SELECT * FROM ${subscribersTableNameAsId}
    ${applicationName != null || eventSubscriber != null ? `
    WHERE ${applicationName != null ? `"applicationName" = ${escape(applicationName)}` : ''}
    ${applicationName != null && eventSubscriber != null ? ' AND ' : ''}
    ${eventSubscriber != null ? `"eventSubscriber" = ${escape(eventSubscriber)}` : ''}
    ` : ''}
  `);
  return rows.map(({
    applicationName,
    eventSubscriber,
    destination,
    status
  }) => ({
    applicationName,
    eventSubscriber,
    destination: JSON.parse(destination),
    status: JSON.parse(status)
  }));
};

var _default = getEventSubscribers;
exports.default = _default;
//# sourceMappingURL=get-event-subscribers.js.map