"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _createQuery = _interopRequireDefault(require("./create-query"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getLatestEvent = async (pool, filter) => {
  const {
    database,
    eventsTableName,
    escapeId,
    shapeEvent
  } = pool;
  const resultQueryCondition = (0, _createQuery.default)(pool, filter);
  const rows = await database.all(`SELECT * FROM ${escapeId(eventsTableName)} ${resultQueryCondition}
    ORDER BY ${escapeId('timestamp')} DESC
    LIMIT 0, 1`);

  if (rows.length === 0) {
    return null;
  }

  return shapeEvent(rows[0]);
};

var _default = getLatestEvent;
exports.default = _default;
//# sourceMappingURL=get-latest-event.js.map