"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = _interopRequireDefault(require("./get-log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getSecret = async ({
  database,
  secretsTableName,
  escapeId,
  escape
}, selector) => {
  const log = (0, _getLog.default)('secretsManager:getSecret');
  log.debug(`retrieving secret value from the database`);
  log.verbose(`selector: ${selector}`);
  log.verbose(`database: ${database}`);
  log.verbose(`secretsTableName: ${secretsTableName}`);
  log.debug(`executing SQL query`);
  const rows = await database.all(`SELECT "secret" FROM ${escapeId(secretsTableName)}
    WHERE id = ${escape(selector)}
    LIMIT 0, 1`);
  log.debug(`query executed, returning result`);

  if (rows.length !== 1) {
    return null;
  }

  return rows[0].secret;
};

var _default = getSecret;
exports.default = _default;
//# sourceMappingURL=get-secret.js.map