"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _createQuery = _interopRequireDefault(require("./create-query"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const loadEventsByTimestamp = async (pool, filter) => {
  const {
    database,
    escapeId,
    eventsTableName,
    shapeEvent
  } = pool;
  const resultQueryCondition = (0, _createQuery.default)(pool, filter);
  const tableNameAsId = escapeId(eventsTableName);
  const rows = await database.all(`SELECT * FROM ${tableNameAsId}
    ${resultQueryCondition}
    ORDER BY "timestamp" ASC, "threadCounter" ASC, "threadId" ASC
    LIMIT 0, ${+filter.limit}`);
  const events = [];

  for (const event of rows) {
    events.push(shapeEvent(event));
  }

  return {
    get cursor() {
      return (0, _eventstoreBase.throwBadCursor)();
    },

    events
  };
};

var _default = loadEventsByTimestamp;
exports.default = _default;
//# sourceMappingURL=load-events-by-timestamp.js.map