"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const loadSecrets = async ({
  database,
  escapeId,
  escape,
  secretsTableName
}, filter) => {
  const {
    idx,
    limit
  } = filter;
  const tableNameAsId = escapeId(secretsTableName);
  const searchIdx = idx == null ? 0 : idx;
  const rows = await database.all(`SELECT idx, id, secret FROM ${tableNameAsId}
    WHERE idx >= ${+searchIdx}
    ORDER BY "idx" ASC
    LIMIT 0, ${+limit}`);
  const secrets = [];

  for (const secret of rows) {
    secrets.push({
      secret: secret.secret,
      id: secret.id,
      idx: secret.idx
    });
  }

  return {
    secrets: secrets,
    idx: secrets.length ? secrets[secrets.length - 1].idx + 1 : null
  };
};

var _default = loadSecrets;
exports.default = _default;
//# sourceMappingURL=load-secrets.js.map