"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _getLog = _interopRequireDefault(require("./get-log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const saveSnapshot = async (pool, snapshotKey, content) => (0, _eventstoreBase.snapshotTrigger)(pool, snapshotKey, content, async () => {
  const log = (0, _getLog.default)(`saveSnapshot:${snapshotKey}`);
  const {
    escape,
    escapeId,
    database,
    snapshotsTableName
  } = pool;
  log.debug(`writing the snapshot to database`);
  await database.exec(`REPLACE INTO ${escapeId(snapshotsTableName)} 
       VALUES (${escape(snapshotKey)}, ${escape(content)})`);
  log.debug(`the snapshot saved successfully`);
});

var _default = saveSnapshot;
exports.default = _default;
//# sourceMappingURL=save-snapshot.js.map