"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _resourceErrors = require("./resource-errors");

const unfreeze = async ({
  database,
  eventsTableName,
  escapeId
}) => {
  try {
    await database.exec(`DROP TABLE ${escapeId(`${eventsTableName}-freeze`)}`);
  } catch (error) {
    if ((0, _resourceErrors.isNotExistError)(error.message)) throw new _eventstoreBase.EventstoreAlreadyUnfrozenError();else throw error;
  }
};

var _default = unfreeze;
exports.default = _default;
//# sourceMappingURL=unfreeze.js.map